
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import com.webrenderer.*;
import java.util.*;

public class HistoryPanel extends JPanel
{
	protected History myHist;
	protected JList disp;
	protected boolean showing = false;
	
	protected HistoryPanel() {}
	
	public HistoryPanel(History h)
	{
		super();
		//REFERENCE
		myHist = h;
		disp = new JList();
		disp.setPreferredSize(new Dimension(140, 30));
		
		JPanel hp = new JPanel();
		hp.setLayout(new GridLayout(1,1));
		hp.add(new JScrollPane(disp));
		
		JLabel histLab = new JLabel("History");
		histLab.setForeground(Color.black);
		
		JPanel head = new JPanel();
		head.setLayout(new FlowLayout(FlowLayout.CENTER));
		head.add(histLab);
			
		setLayout(new BorderLayout());
		add(hp, BorderLayout.CENTER);
		add(head, BorderLayout.NORTH);
		
		update(); 
		setVisible(false);
	}
	
	public void update()
	{
		Vector v = new Vector();
		StringTokenizer t = new StringTokenizer(myHist.toString(), "\n");
		while (t.hasMoreTokens())
		{
			v.add(t.nextToken());
		}
		disp.setListData(v);
		repaint();
	}

	public void display(boolean b)
	{
		showing = b;
		setVisible(showing);
		repaint();
	}
	
	public boolean isDisplayed()
	{
		return showing;
	}

}